<?php

class Installation_Model_DatabaseUpdateEntry_DM_Update0020 extends Installation_Model_DatabaseUpdateEntryAbstractRawQuery
{
    protected $_raw_query = "ALTER TABLE camera MODIFY COLUMN regcode VARCHAR(30);";

    protected function _postAssert()
    {
        $query = "DESCRIBE camera regcode;";
        $ret = $this->_conn->query($query)->fetchAll();
        if (empty($ret)) {
            return false;
        }
        if ($ret[0]['Type'] != 'varchar(30)') {
            return false;
        }
        return true;
    }

    protected function _description() {
        return "Updates regcode to use 30 characters";
    }
}
